Non riesco ad installare gli aggiornamenti poiché c'è un pacchetto (scaricato) che non è completo o in uno stato sospeso. Inoltre ad esempio scarico skype ma poi non riesco ad installarlo. Inoltre frequentemente mi da errore interno

Questa domanda è segnata come "wiki".

chiesto 18 Mag, 06:09

alessandro48's gravatar image

alessandro48
353

reso wiki 18 Mag, 16:33


Prova a fare sudo apt install -f

coll. permanente

ha risposto 18 Mag, 10:15

xricky2001x's gravatar image

xricky2001x
44

Già fatto vorrei mandarti copia della risposta ma non mi permette di copiare dal terminale comunque: dpkg: errore nell'elaborare il pacchetto bash (--configure) stato di inconsistenza critica installarlo nuovamente prima di tentare la configurazione grazie

(18 Mag, 16:28) alessandro48 alessandro48's gravatar image

Prova a fare sudo dpkg-reconfigure apt

(18 Mag, 18:52) xricky2001x xricky2001x's gravatar image

ale@ale-System-Product-Name:~$ sudo dpkg-reconfigure apt

debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable

(18 Mag, 20:54) alessandro48 alessandro48's gravatar image

sudo dpkg --configure -a

coll. permanente

ha risposto 18 Mag, 17:39

xricky2001x's gravatar image

xricky2001x
44

Ecco la risposta al comando.

dpkg: errore nell'elaborare il pacchetto bash (--configure): il pacchetto si trova in uno stato di inconsistenza critico: è consigliato installarlo nuovamente prima di tentare la configurazione. Si sono verificati degli errori nell'elaborazione: bash

(18 Mag, 18:05) alessandro48 alessandro48's gravatar image

Controlla dal gestore pacchetti synaptic,se non presente lo installi con sudo apt-get install synaptic e vedi se ci sono pacchetti danneggiati in tal caso potresti provare a ripararli o rimuoverli per poi rinstallarli.. Quando rispondi usa la voce commento invece che la tua risposta...

(18 Mag, 21:50) Webber Webber's gravatar image

dpkg: errore nell'elaborare il pacchetto bash (--configure): il pacchetto si trova in uno stato di inconsistenza critico: è consigliato installarlo nuovamente prima di tentare la configurazione. Si sono verificati degli errori nell'elaborazione: bash E: Sub-process /usr/bin/dpkg returned an error code (1)

(18 Mag, 21:58) alessandro48 alessandro48's gravatar image

ho l'impressione che il file configure sia finito in una traccia corrotta è possibile? come posso provare a ripararli o rimuoverli per poi reinstallarli?

(19 Mag, 01:13) alessandro48 alessandro48's gravatar image

Cosa stavi installando,posta semmai l'errore completo che ti dal terminale.Hai provato tramite synaptic ?

(19 Mag, 10:02) Webber Webber's gravatar image

stavo installando aggiornamenti del 17.04

(19 Mag, 16:52) alessandro48 alessandro48's gravatar image

Gen albero delle dip
Lettura informazioni sullo stato... Fatto 0 aggiornati, 0 installati, 0 da rimuovere e 94 non aggiornati. 1 non completamente installati o rimossi. È necessario scaricare 0 B/622 kB di archivi. Dopo quest'operazione, verranno occupati 0 B di spazio su disco. dpkg: errore nell'elaborare il pacchetto bash (--configure): il pacchetto si trova in uno stato di inconsistenza critico: è consigliato installarlo nuovamente prima di tentare la configurazione. Si sono verificati degli errori nell'elaborazione: bash E: Sub-process /usr/bin/dpkg returned an error code (1)

(19 Mag, 16:58) alessandro48 alessandro48's gravatar image

Fai sudo apt-get purge "nomepacchettocorrotto"

(19 Mag, 17:18) xricky2001x xricky2001x's gravatar image

ale@ale-System-Product-Name:~$ sudo apt-get purge configure Lettura elenco dei pacchetti... Fatto Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto E: Impossibile trovare il pacchetto configure

(19 Mag, 17:50) alessandro48 alessandro48's gravatar image

Prova dando un comando per volta e subito dopo riaggiorna il sistema

sudo rm /var/cache/debconf/*.dat

se non va bene vedi allora dando

sudo fuser -k /var/cache/debconf/config.dat

e poi di seguito

sudo apt-get install -f
coll. permanente

ha risposto 19 Mag, 18:52

Webber's gravatar image

Webber
2.9k1534

sudo apt-get install -f Let el dei pac. Fa Gen al de dip
Let inf su st. Fa 0 agg, 0 installat, 0 da rimuovere e 94 non aggiornati. 1 non completamente installati o rimossi. È necessario scaricare 0 B/622 kB di archivi. Dopo quest'operazione, verranno occupati 0 B di spazio su disco. dpkg: errore nell'elaborare il pacchetto bash (--configure): il pacchetto si trova in uno stato di inconsistenza critico: è consigliato installarlo nuovamente prima di tentare la configurazione. Si sono verificati degli errori nell'elaborazione: bash E: Sub-process /usr/bin/dpkg returned an error code (1)

(19 Mag, 19:33) alessandro48 alessandro48's gravatar image

riaggiornare il sistema significa riavviare?

(19 Mag, 19:34) alessandro48 alessandro48's gravatar image

Dai da terminale

sudo fuser -v /var/cache/debconf/config.dat

e posta il risultato

(19 Mag, 22:07) Webber Webber's gravatar image

ale@ale-System-Product-Name:~$ sudo fuser -v /var/cache/debconf/config.dat [sudo] password di ale: ale@ale-System-Product-Name:~$

(19 Mag, 22:14) alessandro48 alessandro48's gravatar image

Strano,non risultano pacchetti o processi bloccati ....

Vedi ora di dare

sudo apt-get update && sudo apt-get upgrade

Hai poi per caso aggiunto qualche repository di terze parti di recente ?

(19 Mag, 22:24) Webber Webber's gravatar image

ha scaricato tanta robba ma alla fine: Preconfigurazione dei pacchetti in corso dpkg: errore nell'elaborare il pacchetto bash (--configure): il pacchetto si trova in uno stato di inconsistenza critico: è consigliato installarlo nuovamente prima di tentare la configurazione. Si sono verificati degli errori nell'elaborazione: bash E: Sub-process /usr/bin/dpkg returned an error code (1)

continuo ad essere convinto che il pacchetto bash (--configure) sia posizionato su una traccia corrotta secondo me bisognerebbe rinominare il file per tenere occupato il settore e poi riscaricarlo

(19 Mag, 23:16) alessandro48 alessandro48's gravatar image

Prova con la discussione

https://ubuntuforums.org/showthread.php?t=1495612

Dal punto in cui inizia con

sudo touch /var/lib/dpkg/lock

e i comandi a seguire

(20 Mag, 10:40) Webber Webber's gravatar image

ale@ale-System-Product-Name:~$ sudo touch /var/lib/dpkg/lock [sudo] password di ale: ale@ale-System-Product-Name:~$ sudo rm /var/lib/dpkg/lock ale@ale-System-Product-Name:~$ sudo touch /var/lib/dpkg/lock ale@ale-System-Product-Name:~$ sudo dpkg --configure -a dpkg: errore nell'elaborare il pacchetto bash (--configure): il pacchetto si trova in uno stato di inconsistenza critico: è consigliato installarlo nuovamente prima di tentare la configurazione. Si sono verificati degli errori nell'elaborazione: bash ale@ale-System-Product-Name:~$ sudo apt-get clean ale@ale-System-Product-Name:~$

(20 Mag, 13:21) alessandro48 alessandro48's gravatar image

Recuperati 163 MB in 7min 33s (359 kB/s)
Estrazione dei template dai pacchetti: 100% Preconfigurazione dei pacchetti in corso dpkg: errore nell'elaborare il pacchetto bash (--configure): il pacchetto si trova in uno stato di inconsistenza critico: è consigliato installarlo nuovamente prima di tentare la configurazione. Si sono verificati degli errori nell'elaborazione: bash E: Sub-process /usr/bin/dpkg returned an error code (1) ale@ale-System-Product-Name:~$

coll. permanente

ha risposto 20 Mag, 13:33

alessandro48's gravatar image

alessandro48
353

modificato 20 Mag, 13:35

sudo apt install --reinstall bash

sudo apt install -f
coll. permanente

ha risposto 2 giorni fa

prezzemolo's gravatar image

prezzemolo
454

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×716

domanda posta: 18 Mag, 06:09

domanda visualizzata: 137 volte

ultimo aggiornamento: 2 giorni fa

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.